Skip to main content

Describe Global Cluster (V2)

Returns base topology and connection information for a Global Cluster. Replication lag is intentionally excluded from this endpoint.

GET/v2/globalClusters/{globalClusterId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired

ID of the Global Cluster to describe.

Example Value: glo-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
globalClusterIdstring

Global Cluster ID.

Example Value: glo-xxxxxxxxxxxxxxx
globalClusterNamestring

Global Cluster display name.

Example Value: my-global-cluster
projectIdstring

Project ID.

Example Value: proj-xxxxxxxxxxxxxxx
regionIdsarray

Region IDs of member clusters. Values keep member order and are not deduplicated.

[]regionIdsstring
(To be added soon)
Example Value: aws-us-west-2
cuTypestring

CU type shared by member clusters.

Example Value: Performance-optimized
cuSizeinteger

CU size shared by member clusters.

Example Value: 4
connectAddressstring

Global endpoint address.

Example Value: https://glo-xxxxxxxx.global-cluster.vectordb.zillizcloud.com
createTimestring<date-time>

Creation time in ISO 8601 format.

Example Value: 2026-06-04T10:00:00Z
clustersarray

Member clusters in the Global Cluster.

[]clustersobject
clusterIdstring

Member cluster ID.

Example Value: in01-xxxxxxxxxxxxxxx
clusterNamestring

Member cluster name.

Example Value: primary-cluster
regionIdstring

Region ID where the member cluster is deployed.

Example Value: aws-us-west-2
rolestring

Member role.

Example Value: PRIMARY
statusstring

Member cluster status.

Example Value: RUNNING

Returns an error message.

codeinteger

Response code.

Example Value: 400
messagestring

Error message.

Example Value: Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionIds": [
"aws-us-west-2",
"aws-eu-west-1"
],
"cuType": "Performance-optimized",
"cuSize": 4,
"connectAddress": "https://glo-xxxxxxxx.global-cluster.vectordb.zillizcloud.com",
"createTime": "2026-06-04T10:00:00Z",
"clusters": [
{
"clusterId": "in01-primary",
"clusterName": "primary-cluster",
"regionId": "aws-us-west-2",
"role": "PRIMARY",
"status": "RUNNING"
},
{
"clusterId": "in01-secondary",
"clusterName": "secondary-cluster-eu",
"regionId": "aws-eu-west-1",
"role": "SECONDARY",
"status": "RUNNING"
}
]
}